Index: /trunk/packages/vizservers/vtkvis/RpVtkGraphicsObject.h
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpVtkGraphicsObject.h	(revision 2422)
+++ /trunk/packages/vizservers/vtkvis/RpVtkGraphicsObject.h	(revision 2423)
@@ -46,4 +46,5 @@
         _opacity(1.0),
         _edgeWidth(1.0f),
+        _pointSize(1.0f),
         _lighting(true),
         _cullFace(CULL_BACK),
@@ -607,5 +608,5 @@
      * \brief Set pixel width of edges
      *
-     * NOTE: May be a no-op if OpenGL implementation doesn't support fat lines
+     * NOTE: May be a no-op if OpenGL implementation doesn't support wide lines
      */
     virtual void setEdgeWidth(float width)
@@ -621,4 +622,26 @@
                 if (vtkActor::SafeDownCast(prop) != NULL) {
                     vtkActor::SafeDownCast(prop)->GetProperty()->SetLineWidth(width);
+                }
+            }
+        }
+    }
+
+    /**
+     * \brief Set point size
+     *
+     * NOTE: May be a no-op if OpenGL implementation doesn't support wide points
+     */
+    virtual void setPointSize(float size)
+    {
+        _pointSize = size;
+        if (getActor() != NULL) {
+            getActor()->GetProperty()->SetPointSize(size);
+        } else if (getAssembly() != NULL) {
+            vtkProp3DCollection *props = getAssembly()->GetParts();
+            vtkProp3D *prop;
+            props->InitTraversal();
+            while ((prop = props->GetNextProp3D()) != NULL) {
+                if (vtkActor::SafeDownCast(prop) != NULL) {
+                    vtkActor::SafeDownCast(prop)->GetProperty()->SetPointSize(size);
                 }
             }
@@ -748,4 +771,5 @@
     float _edgeColor[3];
     float _edgeWidth;
+    float _pointSize;
     bool _lighting;
     CullFace _cullFace;
Index: /trunk/packages/vizservers/vtkvis/RpVtkRenderServer.cpp
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpVtkRenderServer.cpp	(revision 2422)
+++ /trunk/packages/vizservers/vtkvis/RpVtkRenderServer.cpp	(revision 2423)
@@ -70,5 +70,5 @@
     if (g_renderer->getCameraMode() == Renderer::IMAGE) {
         double xywh[4];
-        g_renderer->getScreenWorldCoords(xywh);
+        g_renderer->getCameraZoomRegion(xywh);
         std::ostringstream oss;
         oss.precision(12);
@@ -77,7 +77,7 @@
             << std::scientific
             << xywh[0] << " "
-            << (xywh[1] + xywh[3]) << " "
-            << (xywh[0] + xywh[2]) << " "
-            << xywh[1] << "} -bytes";
+            << xywh[1] << " "
+            << xywh[2] << " "
+            << xywh[3] << "} -bytes";
 
 #ifdef RENDER_TARGA
